Page MenuHomePhabricator

copies: add an devel option to trace all files
ClosedPublic

Authored by marmoute on Jan 15 2021, 6:09 PM.

Details

Summary

Filelog based copy tracing only trace copy for file that have been added. This
is a trade off between skipping some rare copy case in exchange for avoiding
atrocious-to-the-point-of-unusable performance.

The changeset centric copy tracing does not need this trade off and naturally
trace all copy, include the one involving non-new files.

In order to ease the comparison from both algorithm, we add a small devel option
to trace copy for all files in the target revisions.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 15 2021, 6:09 PM
marmoute updated this revision to Diff 24919.Jan 15 2021, 8:24 PM
baymax updated this revision to Diff 24922.Jan 15 2021, 8:58 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 25108.Jan 18 2021, 8:54 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 25267.Jan 26 2021, 1:31 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

marmoute updated this revision to Diff 25313.Jan 27 2021, 11:46 AM
pulkit accepted this revision.Jan 28 2021, 1:19 PM
This revision is now accepted and ready to land.Jan 28 2021, 1:19 PM
This revision was automatically updated to reflect the committed changes.